Appearance
tagfolder/save
Renames an existing tag folder.
Method and path
POST /tagfolder/save
Authentication
Authentication is required. See Authentication.
Permissions
Accessible to tier 1, 2, and 3 users.
Request headers
| Header | Required | Description |
|---|---|---|
X-Api-Key or X_API_KEY | yes | API key. |
Content-Type | yes | application/json. |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
project_id | integer | yes | Project identifier. |
folder | object | yes | Folder payload. |
folder.id | integer | yes | Folder identifier. |
folder.label | string | yes | Updated folder label. |
Example request
bash
curl -X POST "$SIGNAL_API_BASE_URL/tagfolder/save" \
-H "X-Api-Key: $SIGNAL_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"project_id": 123,
"folder": {"id": 7, "label": "Renamed Folder"}
}'json
{
"project_id": 123,
"folder": {
"id": 7,
"label": "Renamed Folder"
}
}Example response
json
{
"id": 7,
"label": "Renamed Folder"
}Response fields
| Field | Type | Description |
|---|---|---|
id | integer | Folder identifier. |
label | string | Updated folder label. |